<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <import type="android.view.View" />

        <variable
            name="exemplary"
            type="com.app.retrofit.model.object.Exemplary" />

        <variable
            name="move"
            type="java.lang.Boolean" />

        <variable
            name="lend"
            type="java.lang.Boolean" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/background_object_item_listing"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_exemplary_lent"
                    style="@style/TextStyleSecondary"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:background="@drawable/background_tiny_info"
                    android:paddingStart="6dp"
                    android:paddingTop="1dp"
                    android:paddingEnd="6dp"
                    android:paddingBottom="1dp"
                    android:text="@string/lent"
                    android:textSize="12sp"
                    android:visibility="@{exemplary.lendInformation == null ? View.GONE : View.VISIBLE}"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:layout_width="18dp"
                    android:layout_height="18dp"
                    android:layout_gravity="center"
                    android:layout_marginStart="8dp"
                    android:src="@drawable/ic_label" />

                <TextView
                    android:id="@+id/tv_exemplary_label"
                    style="@style/TextStyleSecondary"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:text="@={exemplary.label}"
                    android:textSize="14sp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_marginEnd="16dp"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="18dp"
                    android:layout_height="24dp"
                    android:layout_gravity="center"
                    android:src="@drawable/ic_position" />

                <TextView
                    android:id="@+id/tv_location_name"
                    style="@style/TextStyleSecondary"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="4dp"
                    android:text="@={exemplary.location.label}"
                    android:textSize="13sp" />

            </LinearLayout>

        </RelativeLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="4dp"
            android:gravity="center|bottom"
            android:orientation="horizontal">

            <LinearLayout
                android:id="@+id/linearLayout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="32dp"
                android:orientation="horizontal"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <TextView
                    android:id="@+id/tv_title_date_added"
                    style="@style/TextStyleSecondary"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/date_added"
                    android:textColor="@color/colorHeaderText"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/tv_exemplary_date_added"
                    style="@style/TextStyleSecondary"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="8dp"
                    android:text="@{exemplary.createdFormatted}"
                    android:textSize="13sp" />

            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/iv_lend"
                android:layout_width="28dp"
                android:layout_height="24dp"
                android:padding="2dp"
                android:layout_marginStart="12dp"
                android:layout_marginBottom="4dp"
                android:src="@drawable/img_lend"
                android:visibility="@{lend ? (exemplary.lendInformation == null ? View.VISIBLE : View.GONE) : View.GONE}"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/iv_move"
                android:layout_width="30dp"
                android:layout_height="24dp"
                android:layout_marginStart="12dp"
                android:layout_marginTop="2dp"
                android:src="@drawable/img_move"
                android:visibility="@{move ? View.VISIBLE : View.GONE}"
                app:layout_constraintStart_toEndOf="@id/iv_lend"
                app:layout_constraintTop_toTopOf="parent" />

        </LinearLayout>

    </LinearLayout>
</layout>